# List all realtime RFPs

**GET** `/transfers/realtime/request-for-payment`

Retrieve all Realtime Requests for Payment (RFPs) under your platform.

### Query Parameters

- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/transfers/realtime/request-for-payment' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "realtime_rfps": [
    {
      "accepted_at": "2025-03-05T17:15:19Z",
      "account_number_id": "acno_2toLl6m5mCvdnC1ffcRBIvqq12e",
      "amount": 650000,
      "bank_account_id": "bacc_2toLl7dxbfa4VE9U8mbrUOloqw3",
      "canceled_at": null,
      "completed_at": "2025-03-05T17:15:19Z",
      "counterparty_id": "cpty_2tuD0cMoZrq5mEUVUX6KsYRMzqR",
      "currency_code": "USD",
      "description": "rent payment",
      "expired_at": "2025-03-06T11:33:00Z",
      "id": "rrfp_2tuD0rBe0o8NmxvcxcHRzt5poZQ",
      "initiated_at": null,
      "is_incoming": true,
      "received_at": "2025-03-05T16:40:45Z",
      "rejected_at": null,
      "status": "completed",
      "transfer": null
    }
  ],
  "has_more": true
}
```
